Package:

## Class char[][]

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `List` | `flatten()` Flattens a 2D array into a new collection.
    `char[][]` | `transpose()` A transpose method for 2D char arrays.

- - ### Methods Detail

    - #### public List flatten()

      Flattens a 2D array into a new collection. The items are copied row by row.

      Example usage:

          char[][] array = ['ab'.chars, 'cd'.chars]
          assert array.flatten() == ['a', 'b', 'c', 'd']

      Returns:
        a Collection of the array elements
      Since:
        5.0.0

    - #### public char[][] transpose()

      A transpose method for 2D char arrays.

      Example usage:

          char[][] chars = [['a', 'b'], ['A', 'B']]
          char[][] expected = [['a', 'A'], ['b', 'B']]
          def result = chars.transpose()
          assert result == expected
          assert chars.class.componentType == result.class.componentType

      Returns:
        the transposed 2D char array
      Since:
        5.0.0